> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debt-wise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User

> Create a user from given parameters



## OpenAPI

````yaml api-reference/openapi.yaml POST /api/users
openapi: 3.0.1
info:
  title: DebtWise API
  version: '2024-07-01'
  description: >-
    The DebtWise API suite is the primary means for developers to offer debt
    management tools within their existing applications.
  contact:
    name: DebtWise Support
    url: https://debt-wise.com
    email: support@debt-wise.com
servers:
  - url: https://staging.debt-wise.com
    description: Sandbox server (uses test data)
  - url: https://app.debt-wise.com
    description: Production server (uses live data)
security:
  - bearerAuth: []
tags:
  - name: Ping
  - name: Users
  - name: Accounts
  - name: Credit Scores
  - name: Equifax
  - name: Debt Payoff Plan
  - name: Debt Payoff Plan Payments
  - name: Articles
  - name: Debt Calculator
paths:
  /api/users:
    parameters:
      - $ref: '#/components/parameters/acceptEncodingParam'
      - $ref: '#/components/parameters/apiVersionParam'
    post:
      tags:
        - Users
      summary: Create User
      description: Create a user from given parameters
      operationId: createUser
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - first_name
                - last_name
                - phone_number
                - email
                - ssn
                - date_of_birth
              properties:
                first_name:
                  type: string
                  example: John
                  description: User's first name
                last_name:
                  type: string
                  example: Smith
                  description: User's last name
                phone_number:
                  type: string
                  example: '9891231230'
                  description: User's US phone number. 10 digits without +
                email:
                  type: string
                  example: john_smith@debt-wise.com
                  description: User's email
                ssn:
                  type: string
                  example: '12345678'
                  description: User's social security number. From 8 to 9 digits
                date_of_birth:
                  type: string
                  format: date
                  example: '1993-03-03'
                  description: User's date of birth
        required: true
      responses:
        '201':
          description: Returns a created user
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: string
                        example: validation_error
                        description: An identifier of an error type inside API.
                      message:
                        type: string
                        example: Phone number can't be blank
                        description: A human-readable error description.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
components:
  parameters:
    acceptEncodingParam:
      name: Accept-Encoding
      in: header
      description: We can compress a response with gzip.
      required: false
      schema:
        type: string
        example: gzip deflate
    apiVersionParam:
      name: API-Version
      in: header
      description: API API Version. See Versioning page for more details.
      required: false
      schema:
        type: string
        example: '2024-07-01'
  schemas:
    User:
      type: object
      required:
        - id
        - first_name
        - last_name
        - phone_number
        - email
        - date_of_birth
      properties:
        id:
          type: integer
          example: 1
          description: User's id
        first_name:
          type: string
          example: John
          description: User's first name
        last_name:
          type: string
          example: Smith
          description: User's last name
        phone_number:
          type: string
          example: '9891231230'
          description: User's US phone number. 10 digits without +
        email:
          type: string
          example: john_smith@debt-wise.com
          description: User's email
        ssn:
          type: string
          example: '12345678'
          description: User's social security number. From 8 to 9 digits
        date_of_birth:
          type: string
          format: date
          example: '1993-03-03'
          description: User's date of birth
    InternalServerError:
      type: object
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              example: internal_server_error
              description: An identifier of an error type inside API.
            message:
              type: string
              example: >-
                We've notified our engineers and hope to address this issue
                shortly.
              description: A human-readable error description.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````